| API Docs for SAX and DOM |

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- ~

Here is a list of all class members with links to the classes they belong to:

### - e -

- E_HighBounds : XMLErrs , XMLValid , XMLDOMMsg
- E_LowBounds : XMLErrs , XMLValid , XMLDOMMsg
- ElemChildrenHasInvalidWS : XMLValid
- ELEMENT_DECLARATION : XSConstants
- ELEMENT_NODE : DOMNode
- ElementAlreadyExists : XMLValid
- elementDecl() : AbstractDOMParser , SAXParser , DeclHandler , DefaultHandler
- ElementNotDefined : XMLValid
- ElementNotQualified : XMLValid
- ElementNotUnQualified : XMLValid
- ElementNotValidForContent : XMLValid
- elementTypeInfo() : XMLDocumentHandler , AbstractDOMParser
- ElementWithFixedAndDefault : XMLErrs
- ElementWithTypeAndAnonType : XMLErrs
- ElemIDValueConstraint : XMLErrs
- ElemOneNotationAttr : XMLValid
- EltRefOnlyInMixedElemOnly : XMLValid
- ELTSchemaNS : XMLErrs
- emitError() : XMLValidator
- EmptiableMixedContent : XMLErrs
- EmptyComplexRestrictionDerivation : XMLErrs
- EmptyElemHasContent : XMLValid
- EmptyElemNotationAttr : XMLValid
- EmptyMainEntity : XMLErrs
- EmptyNotValidForContent : XMLValid
- EmptySimpleTypeContent : XMLErrs
- enableNELWS() : XMLChar1_0
- encode() : Base64
- EncodingRequired : XMLErrs
- END_TO_END : DOMRange
- END_TO_START : DOMRange
- endAttList() : AbstractDOMParser , SAXParser
- endCDATA() : DefaultHandler , LexicalHandler
- endDocument() : XMLDocumentHandler , DocumentHandler , HandlerBase , AbstractDOMParser , SAXParser , ContentHandler , DefaultHandler
- endDTD() : DefaultHandler , LexicalHandler
- EndedWithTagsOnStack : XMLErrs
- endElement() : XMLDocumentHandler , DocumentHandler , HandlerBase , AbstractDOMParser , SAXParser , ContentHandler , DefaultHandler
- endEntity() : DefaultHandler , LexicalHandler
- endEntityReference() : XMLDocumentHandler , AbstractDOMParser , SAXParser
- endExtSubset() : AbstractDOMParser , SAXParser
- endInputSource() : XMLEntityHandler , SAXParser , XercesDOMParser
- endIntSubset() : AbstractDOMParser , SAXParser
- endPrefixMapping() : ContentHandler , DefaultHandler
- endsWith() : XMLString
- Entities : XMLAttDef
- Entity : XMLAttDef
- ENTITY_EXPANSION_LIMIT : SecurityManager
- ENTITY_NODE : DOMNode
- ENTITY_REFERENCE_NODE : DOMNode
- entityDecl() : AbstractDOMParser , SAXParser
- EntityExpansionLimitExceeded : XMLErrs
- EntityNotFound : XMLErrs
- EntityPropogated : XMLErrs
- EntityResolver() : EntityResolver
- Enumeration : XMLAttDef
- EQUAL : XMLNumber
- equals() : XMLString
- error() : ErrorHandler , XMLErrorReporter , HandlerBase , SAXParser , XercesDOMParser , DefaultHandler
- ErrorHandler() : ErrorHandler
- ErrorSeverity : DOMError
- errorType() : XMLValid , XMLErrs , XMLDOMMsg
- ErrType_Error : XMLErrorReporter
- ErrType_Fatal : XMLErrorReporter
- ErrType_Warning : XMLErrorReporter
- ErrTypes : XMLErrorReporter
- ErrTypes_Unknown : XMLErrorReporter
- EscapeFlags : XMLFormatter
- EscapeFlags_Count : XMLFormatter
- evaluate() : DOMXPathEvaluator , DOMXPathExpression
- ExceptionCode : DOMXPathException , DOMException
- exists() : XMLSynchronizedStringPool
- expandSystemId() : XMLEntityHandler , SAXParser , XercesDOMParser
- Expected2ndSurrogateChar : XMLErrs
- ExpectedAsterisk : XMLErrs
- ExpectedAttributeType : XMLErrs
- ExpectedAttrName : XMLErrs
- ExpectedAttrValue : XMLErrs
- ExpectedCDATA : XMLErrs
- ExpectedChoiceOrCloseParen : XMLErrs
- ExpectedComment : XMLErrs
- ExpectedCommentOrCDATA : XMLErrs
- ExpectedCommentOrPI : XMLErrs
- ExpectedContentSpecExpr : XMLErrs
- ExpectedDeclString : XMLErrs
- ExpectedDefAttrDecl : XMLErrs
- ExpectedElementName : XMLErrs
- ExpectedEndOfConditional : XMLErrs
- ExpectedEndOfTagX : XMLErrs
- ExpectedEntityRefName : XMLErrs
- ExpectedEntityValue : XMLErrs
- ExpectedEnumSepOrParen : XMLErrs
- ExpectedEnumValue : XMLErrs
- ExpectedEqSign : XMLErrs
- ExpectedINCLUDEBracket : XMLErrs
- ExpectedIncOrIgn : XMLErrs
- ExpectedMarkup : XMLErrs
- ExpectedMarkupDecl : XMLErrs
- ExpectedNDATA : XMLErrs
- ExpectedNotationName : XMLErrs
- ExpectedNumericalCharRef : XMLErrs
- ExpectedOpenParen : XMLErrs
- ExpectedOpenSquareBracket : XMLErrs
- ExpectedPEName : XMLErrs
- ExpectedPublicId : XMLErrs
- ExpectedQuotedString : XMLErrs
- ExpectedSeqChoiceLeaf : XMLErrs
- ExpectedSeqOrCloseParen : XMLErrs
- ExpectedSimpleTypeInList : XMLErrs
- ExpectedSimpleTypeInRestriction : XMLErrs
- ExpectedSimpleTypeInUnion : XMLErrs
- ExpectedSystemId : XMLErrs
- ExpectedSystemOrPublicId : XMLErrs
- ExpectedTextDecl : XMLErrs
- ExpectedWhitespace : XMLErrs
- ExpectedXMLDecl : XMLErrs
- extCh : XMLTransService::TransRec
- ExtensionRepeated : XMLErrs
- ExternalEntity : XMLResourceIdentifier
- externalEntityDecl() : DeclHandler , DefaultHandler
- ExtraCloseSquare : XMLErrs
- extractContents() : DOMRange

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.